## Function template channel_severity_filter

boost::log::expressions::channel_severity_filter

## Synopsis

    // In header: <boost/log/expressions/predicates/channel_severity_filter.hpp>

    template<typename ChannelT, typename SeverityT>
      channel_severity_filter_actor< ChannelT, SeverityT >
      channel_severity_filter(attribute_name const & channel_name,
                              attribute_name const & severity_name);

## Description

The function generates a filtering predicate that checks the severity levels of log records in different channels. The predicate will return `true` if the record severity level is not less than the threshold for the channel the record belongs to.